{
  "name": "IT Glue - Circuit",
  "nodes": [
    {
      "parameters": {},
      "type": "n8n-nodes-base.manualTrigger",
      "typeVersion": 1,
      "position": [
        0,
        0
      ],
      "id": "6118ab38-2d12-413e-bf1b-3e86b13c751d",
      "name": "When clicking ‘Test workflow’"
    },
    {
      "parameters": {
        "url": "https://api.itglue.com/flexible_assets",
        "authentication": "genericCredentialType",
        "genericAuthType": "httpHeaderAuth",
        "sendQuery": true,
        "queryParameters": {
          "parameters": [
            {
              "name": "filter[organization-id]",
              "value": "={{ $json.data[0].id }}"
            },
            {
              "name": "filter[flexible-asset-type-id]",
              "value": "3792"
            }
          ]
        },
        "sendHeaders": true,
        "headerParameters": {
          "parameters": [
            {
              "name": "Accept",
              "value": "application/vnd.api+json"
            }
          ]
        },
        "options": {
          "response": {
            "response": {
              "responseFormat": "json"
            }
          }
        }
      },
      "type": "n8n-nodes-base.httpRequest",
      "typeVersion": 4.2,
      "position": [
        448,
        0
      ],
      "id": "6492dae9-aeb7-40a8-a4d5-1bf24b252a63",
      "name": "GlueEmail",
      "credentials": {
        "httpHeaderAuth": {
          "id": "RvfY5ksjSbWJGThL",
          "name": "Header Auth account"
        }
      }
    },
    {
      "parameters": {
        "url": "https://api.itglue.com/organizations",
        "authentication": "genericCredentialType",
        "genericAuthType": "httpHeaderAuth",
        "sendQuery": true,
        "queryParameters": {
          "parameters": [
            {
              "name": "sort",
              "value": "id"
            },
            {
              "name": "filter[name]",
              "value": "Loss Prevention Services"
            }
          ]
        },
        "sendHeaders": true,
        "headerParameters": {
          "parameters": [
            {
              "name": "cache-control",
              "value": "no-cache"
            }
          ]
        },
        "sendBody": true,
        "bodyParameters": {
          "parameters": [
            {
              "name": "Content-Type",
              "value": "application/vnd.api+json"
            }
          ]
        },
        "options": {
          "response": {
            "response": {
              "responseFormat": "json"
            }
          }
        }
      },
      "type": "n8n-nodes-base.httpRequest",
      "typeVersion": 4.2,
      "position": [
        224,
        0
      ],
      "id": "ca803b5e-5a38-4169-8e15-cffb6e91cc76",
      "name": "GlueID",
      "credentials": {
        "httpBasicAuth": {
          "id": "kjFFzO7M1WW0vah8",
          "name": "ITGlue"
        },
        "httpHeaderAuth": {
          "id": "RvfY5ksjSbWJGThL",
          "name": "Header Auth account"
        }
      }
    },
    {
      "parameters": {
        "url": "https://api.itglue.com/flexible_assets",
        "authentication": "genericCredentialType",
        "genericAuthType": "httpHeaderAuth",
        "sendQuery": true,
        "queryParameters": {
          "parameters": [
            {
              "name": "filter[organization-id]",
              "value": "={{ $json.data[0].attributes['organization-id'] }}"
            },
            {
              "name": "filter[flexible-asset-type-id]",
              "value": "3794"
            }
          ]
        },
        "sendHeaders": true,
        "headerParameters": {
          "parameters": [
            {
              "name": "Accept",
              "value": "application/vnd.api+json"
            }
          ]
        },
        "options": {
          "response": {
            "response": {
              "responseFormat": "json"
            }
          }
        }
      },
      "type": "n8n-nodes-base.httpRequest",
      "typeVersion": 4.2,
      "position": [
        640,
        0
      ],
      "id": "4b8dde65-e98f-4b4c-b5ec-f3cb9d672209",
      "name": "GlueISP",
      "credentials": {
        "httpHeaderAuth": {
          "id": "RvfY5ksjSbWJGThL",
          "name": "Header Auth account"
        }
      }
    },
    {
      "parameters": {
        "operation": "sendAndWait",
        "chatId": "7870607184",
        "message": "={{ $json.data[0].attributes['organization-name'] }}\n{{ $json.data[0].attributes['flexible-asset-type-name'] }}: {{ $json.data[0].attributes.name }}",
        "options": {}
      },
      "type": "n8n-nodes-base.telegram",
      "typeVersion": 1.2,
      "position": [
        864,
        0
      ],
      "id": "8088d202-db8b-43d9-b856-7ca995fab516",
      "name": "Telegram",
      "webhookId": "baad0fbc-1591-45bb-abbb-b7898459229e",
      "credentials": {
        "telegramApi": {
          "id": "csNHSd4rHXYD87nR",
          "name": "Telegram account"
        }
      }
    }
  ],
  "pinData": {},
  "connections": {
    "When clicking ‘Test workflow’": {
      "main": [
        [
          {
            "node": "GlueID",
            "type": "main",
            "index": 0
          }
        ]
      ]
    },
    "GlueID": {
      "main": [
        [
          {
            "node": "GlueEmail",
            "type": "main",
            "index": 0
          }
        ]
      ]
    },
    "GlueEmail": {
      "main": [
        [
          {
            "node": "GlueISP",
            "type": "main",
            "index": 0
          }
        ]
      ]
    },
    "GlueISP": {
      "main": [
        [
          {
            "node": "Telegram",
            "type": "main",
            "index": 0
          }
        ]
      ]
    }
  },
  "active": false,
  "settings": {
    "executionOrder": "v1"
  },
  "versionId": "aee03ca2-ffdd-491e-a1eb-39280c0e9b90",
  "meta": {
    "templateCredsSetupCompleted": true,
    "instanceId": "ad3e8921b8f3ec5eb0f5de9993c5671acfe1653760ce28a0ae49df7ec32eb653"
  },
  "id": "4DTmWyi6WajMb1tR",
  "tags": []
}